﻿@using TakeHome3.BDD.Modeles
@{
    var utilisateur = TakeHome3.Helpers.Compte.ObtenirUtilisateurConnecte(Session);
}

<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Mon application ASP.NET</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/knockout")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            @if (Request.IsAuthenticated)
            {
                <div class="navbar-header">

                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    @Html.ActionLink("Bonjour " + utilisateur?.Nom, "Statistiques", "Accueil", new { area = "" }, new { @class = "navbar-brand" })
                </div>
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li>@Html.ActionLink("Mes données", "Statistiques", "Accueil")</li>
                        <li>@Html.ActionLink("Mes cartes", "Cartes", "Accueil")</li>
                        <li>@Html.ActionLink("Mes opérations", "Operations", "Accueil")</li>
                        <li >@Html.ActionLink("Se déconnecter", "Deconnexion", "Compte")</li>
                    </ul>
                </div>
            }
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer></footer>
    </div>

    
</body>
</html>
